IMG_ResetAnimationDecoder(3)

NAME
IMG_ResetAnimationDecoder - Reset an animation decoder.

SYNOPSIS
#include <SDL3_image/SDL_image.h>

bool IMG_ResetAnimationDecoder(IMG_AnimationDecoder *decoder);

DESCRIPTION
Calling this function resets the animation decoder, allowing it to start from the beginning again. This is useful if you want to decode the frame sequence again without creating a new decoder.

FUNCTION PARAMETERS

decoder
    the decoder to reset.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL_image 3.4.0.

SEE ALSO
IMG_CreateAnimationDecoder(3), IMG_CreateAnimationDecoder_IO(3), IMG_CreateAnimationDecoderWithProperties(3), IMG_GetAnimationDecoderFrame(3), IMG_CloseAnimationDecoder(3)